View Issue Details

IDProjectCategoryView StatusLast Update
0003764Composrnewsletterpublic2019-08-24 12:21
ReporterChris GrahamAssigned ToSalman 
Severityfeature 
Status resolvedResolutionfixed 
Product Version 
Fixed in Version 
Summary0003764: AJAX support for main_newsletter_signup block
DescriptionCurrently this does a form POST. This is less than ideal for those tightly integrating the block into somewhere deep in their design, such as the footer.
TagsRoadmap: v11
Attach Tags
Time estimation (hours)3
Sponsorship open

Activities

Chris Graham

2019-01-20 22:54

administrator   ~0005906

Also support for the main_join block.

I reviewed and I cannot see any other blocks that would significantly benefit from AJAX (that don't already have it) at this point.

Chris Graham

2019-01-20 22:59

administrator   ~0005907

See topic, which may include some code:
https://compo.sr/forum/topicview/browse/deploying/can-newsletter-signups.htm?post_id=5460&redirected=1#post_5460

Chris Graham

2019-01-22 21:00

administrator   ~0005908

I've merged the newsletter block change. main_join block not yet changed.

Salman

2019-08-24 12:21

administrator   ~0006073

Ajax support for main_join block added: https://github.com/ocproducts/composr/commit/c6c941f3075d175f17cb078c6c19f80fd4c7f54f

Issue History

Date Modified Username Field Change
2019-01-20 22:53 Chris Graham New Issue
2019-01-20 22:54 Chris Graham Note Added: 0005906
2019-01-20 22:59 Chris Graham Note Added: 0005907
2019-01-22 21:00 Chris Graham Note Added: 0005908
2019-06-27 17:58 Chris Graham Tag Attached: Roadmap: v11
2019-07-05 01:22 Chris Graham Assigned To => Salman
2019-07-05 01:22 Chris Graham Status non-assigned => assigned
2019-08-24 12:21 Salman Status assigned => resolved
2019-08-24 12:21 Salman Resolution open => fixed
2019-08-24 12:21 Salman Note Added: 0006073